import '@das-fed/ui/packages/components/collapse-panel/style.css';
import { defineComponent as i, useAttrs as d, inject as f, computed as m, createBlock as u, openBlock as n, unref as p, mergeProps as h, withCtx as a, renderSlot as l, createCommentVNode as c, withDirectives as _, createElementBlock as v, createTextVNode as w, toDisplayString as C, ref as b } from "vue";
import { withInstall as D } from "@das-fed/utils/with-install/index";
import { setThemeRule as g } from "@das-fed/web/packages/theme/index";
import { CollapsePanel as k } from "ant-design-vue";
import { vDasTooltip as P } from "@das-fed/ui/packages/components/text-tooltip/index";
import "ant-design-vue/es/collapse/style/css";
import "@das-fed/ui/packages/global/theme";
const $ = { class: "das-collaspe-panel--header" }, A = /* @__PURE__ */ i({
  __name: "Index",
  props: {
    header: { default: "" }
  },
  setup(o) {
    const r = d(), t = f("parentCollapsible"), s = m(() => t.value || r.collapsible === "disabled");
    return (e, T) => (n(), u(p(k), h(e.$attrs, {
      class: "das-collaspe-panel",
      showArrow: s.value ? !1 : e.$attrs.showArrow
    }), {
      header: a(() => [
        c(" 面板头内容 "),
        l(e.$slots, "header", {}, () => [
          _((n(), v("div", $, [
            w(
              C(e.header),
              1
              /* TEXT */
            )
          ])), [
            [p(P)]
          ])
        ], !0)
      ]),
      extra: a(() => [
        c(" 自定义渲染每个面板右上角的内容 "),
        l(e.$slots, "extra", {}, void 0, !0)
      ]),
      default: a(() => [
        l(e.$slots, "default", {}, void 0, !0)
      ]),
      _: 3
      /* FORWARDED */
    }, 16, ["showArrow"]));
  }
}), x = (o, r) => {
  const t = o.__vccOpts || o;
  for (const [s, e] of r)
    t[s] = e;
  return t;
}, B = /* @__PURE__ */ x(A, [["__scopeId", "data-v-4de50fce"]]), I = {
  "--das-ui-collaspe-bgcolor": { light: "#ffffff", dark: "#000000" }
};
g(I);
const O = () => b(null), q = D(B);
export {
  q as DasCollaspePanel,
  O as DasCollaspePanelRef,
  q as default
};
